
/* Daniel Karlsson, sep 2003		*/
/* Filename: misc.h                 */
/* Headerfile for misc.c            */

/************************************************************
This file contains functions of variable tasks. Functions   *
that isn't specific for a file or object.                   *
*************************************************************
*************************************************************/

/************************************************************
Boolean standard definitions.                               *
*************************************************************/
typedef int bool;
#define FALSE      0
#define TRUE       1

/************************************************************
Freezes the program for a specific time. The inparameter    *
is a float and value the is seconds, so for example a delay *
of 400ms is typed: delay(0.4)                               *  
*************************************************************/
void delay(float seconds);

/************************************************************
Clears the screen and moves the cursor to the top left part *
of the screen.                                              *
*************************************************************/
void clrscr(void);

/************************************************************
Get keyboardinputs without CR                               *
*************************************************************/
char getKey();
